/* This is the per-process information.  A slot is reserved for each potential
 * process.
 */

	
#ifndef _FPROC_H
#define _FPROC_H

typedef	struct {
	  inode_t *fp_workdir;     /* pointer to working directory's inode */
	  inode_t *fp_rootdir;     /* pointer to current root dir (see chroot) */
	  filp_t *fp_filp[OPEN_MAX];/* the file descriptor table */
	  int fp_cum_io_partial;    /* partial byte count if read can't finish */
	  pid_t fp_pid;             /* process id */
	  int connected;	    /* is connection valid? */
	  void *buffer;		    /* buffer for data */
	} fproc_t;

extern fproc_t fproc[NR_PROCS];

#endif /* _FPROC_H */

